Subject: bug#63904: Can't setuid programs to anybody but root

From: Josselin Poiret <[email-masked]>
Date: Thu, 08 Jun 2023 09:19:00 +0200

Hi everyone,

You might want to have a look at [1], which should resolve this.  I've
held off on reviewing it for quite a bit but have talked on IRC recently
with bjc about it.  With this approach, while cleaner, we'll need to
identify which services rely on the setuid binaries being present, as
well as ensure they're up before any interaction with the user is
possible.

[1] https://issues.guix.gnu.org/62726

HTH,
-- 
Josselin Poiret